Create Course Component
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseComponent": {
"course": {
"sourcedId": "<string>"
},
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"courseComponent": {
"sourcedId": "<string>"
},
"parent": {
"sourcedId": "<string>"
},
"sortOrder": 1,
"prerequisites": [
"<string>"
],
"prerequisiteCriteria": "<string>",
"unlockDate": "2021-01-01T00:00:00.000Z"
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components"
payload = { "courseComponent": {
"course": { "sourcedId": "<string>" },
"title": "<string>",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"courseComponent": { "sourcedId": "<string>" },
"parent": { "sourcedId": "<string>" },
"sortOrder": 1,
"prerequisites": ["<string>"],
"prerequisiteCriteria": "<string>",
"unlockDate": "2021-01-01T00:00:00.000Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
courseComponent: {
course: {sourcedId: '<string>'},
title: '<string>',
sourcedId: '<string>',
dateLastModified: '2023-11-07T05:31:56Z',
metadata: {},
courseComponent: {sourcedId: '<string>'},
parent: {sourcedId: '<string>'},
sortOrder: 1,
prerequisites: ['<string>'],
prerequisiteCriteria: '<string>',
unlockDate: '2021-01-01T00:00:00.000Z'
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Courses Management
Create Course Component
Used when creating a new course component or module
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
courses
/
components
Create Course Component
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Represents a component of a course.
Show child attributes
Show child attributes
Response
Created Course Component Successfully
Show child attributes
Show child attributes
⌘I